Bug 1242821 - External group mapping cannot be set when --foreman-ipa-authentication=true is used and no EXTERNAL user has been created yet
Summary: External group mapping cannot be set when --foreman-ipa-authentication=true i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 08:46 UTC by Jan Pazdziora
Modified: 2020-07-16 08:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:24:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
external group1 (36.02 KB, image/png)
2018-07-05 17:50 UTC, Kedar Bidarkar
no flags Details
external group2 (53.19 KB, image/png)
2018-07-05 17:50 UTC, Kedar Bidarkar
no flags Details
external group3 (57.36 KB, image/png)
2018-07-05 17:51 UTC, Kedar Bidarkar
no flags Details
external group4 (53.68 KB, image/png)
2018-07-05 17:51 UTC, Kedar Bidarkar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19064 0 None None None 2017-03-29 08:48:17 UTC

Description Jan Pazdziora 2015-07-14 08:46:52 UTC
Description of problem:

The EXTERNAL auth source only gets created when the first user gets auto-created based on external authentication (enabled with --foreman-ipa-authentication=true). That's why the admin will not even see the tab to specify external group mapping when creating/editing user groups.

The EXTERNAL auth source should either be always present, or created when --foreman-ipa-authentication=true is used.

Version-Release number of selected component (if applicable):


How reproducible:

Satellite 6.0 but the same behaviour in 6.1 as well.

Steps to Reproduce:
1. Enable external authentication via IdM using --foreman-ipa-authentication=true.
2. Attempt to define mapping of external groups to Satellite (Foreman) user groups.

Actual results:

Not possible, the tab is there because the EXTERNAL auth source is not there.

Expected results:

It should be possible even before the first externally-authenticated user has logged in / was auto-populated in the user database.

Additional info:

Comment 2 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 3 Bryan Kearney 2016-07-26 15:42:52 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 5 Marek Hulan 2017-03-29 08:48:14 UTC
Created redmine issue http://projects.theforeman.org/issues/19064 from this bug

Comment 6 Satellite Program 2017-03-29 14:05:38 UTC
Upstream bug assigned to mhulan

Comment 7 Satellite Program 2017-03-29 14:05:42 UTC
Upstream bug assigned to mhulan

Comment 8 Satellite Program 2017-04-05 14:05:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19064 has been resolved.

Comment 10 Kedar Bidarkar 2018-07-05 17:38:26 UTC
We can now define the mappings of external groups in Satellite6 under user groups.


External groups tab now exists even before a user logs in, after "--foreman-ipa-authentication=true" is run.

Will be attaching screenshots shortly to this bug.

VERIFIED With sat6.4.0-snap9

Comment 11 Kedar Bidarkar 2018-07-05 17:50:10 UTC
Created attachment 1456806 [details]
external group1

Comment 12 Kedar Bidarkar 2018-07-05 17:50:49 UTC
Created attachment 1456807 [details]
external group2

Comment 13 Kedar Bidarkar 2018-07-05 17:51:17 UTC
Created attachment 1456808 [details]
external group3

Comment 14 Kedar Bidarkar 2018-07-05 17:51:56 UTC
Created attachment 1456809 [details]
external group4

Comment 15 Bryan Kearney 2018-10-16 19:24:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.